#### Improve printing of comments in type aliases in Flow & TS (#12268 by @duailibe)

For Flow, the comments will now be more aligned to how we print comments in assignments where the right-hand side is an object expression:

<!-- prettier-ignore -->
```js
// Input
type Props = // comment explaining the props
  {
    isPlaying: boolean
  };

// Prettier stable
// comment explaining the props
type Props = {
  isPlaying: boolean,
};

// Prettier main
type Props =
  // comment explaining the props
  {
    isPlaying: boolean,
  };
```

And for TS that comment would not be stable with a second format:

<!-- prettier-ignore -->
```ts
// Input
type Props = // comment explaining the props
  {
    isPlaying: boolean
  };

// Prettier stable
type Props = { // comment explaining the props
  isPlaying: boolean;
};

// Prettier stable (2nd format)
type Props = {
  // comment explaining the props
  isPlaying: boolean;
};

// Prettier main
type Props =
  // comment explaining the props
  {
    isPlaying: boolean,
  };
```
